'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = NullableSchema;

var _inherits = require('./utils/inherits');

var _inherits2 = _interopRequireDefault(_inherits);

var _mixed = require('./mixed');

var _mixed2 = _interopRequireDefault(_mixed);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function NullableSchema() {
  if (!(this instanceof NullableSchema)) {
    return new NullableSchema();
  }

  _mixed2.default.call(this, { type: 'null' });
}

(0, _inherits2.default)(NullableSchema, _mixed2.default, {
  _getJSONSchema: function _getJSONSchema() {
    return {
      type: 'null'
    };
  }
});
module.exports = exports['default'];