'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = inherits;

var _objectAssign = require('object-assign');

var _objectAssign2 = _interopRequireDefault(_objectAssign);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function inherits(ctor, superCtor, spec) {
  // disabling eslint rule because it doesn't apply for this case
  // eslint-disable-next-line no-param-reassign
  ctor.prototype = Object.create(superCtor.prototype, {
    constructor: {
      value: ctor,
      enumerable: false,
      writable: true,
      configurable: true
    }
  });

  (0, _objectAssign2.default)(ctor.prototype, spec);
}
module.exports = exports['default'];